<app-superheader [title]="'Profile'" [subtitle]="'Edit'" [back]="true">
</app-superheader>

<ion-content>
  <div class="avatar-cont">
    <div>
      <p class="updateAvatarBtn" (click)="updateTempAvatar()">Update Avatar</p>
      <img class="avatarImg" [src]='storedInfo.getAvatar()'/>
    </div>
  </div>

  <div class="container">
    <div class="sub-cont">
      <h4 class="input-title">Name</h4>
      <ion-input placeholder="Name" inputmode="text" [(ngModel)]="name" maxLength="50"></ion-input>
    </div>
  </div>

  <div class="container">
    <div class="sub-cont">
      <h4 class="input-title">Country</h4>
      <ion-input placeholder="Country" inputmode="text" [(ngModel)]="country" maxLength="50"></ion-input>
    </div>
  </div>

  <div class="container">
    <div class="sub-cont">
      <h4 class="input-title">E-Mail</h4>
      <ion-input placeholder="E-Mail" inputmode="text" [(ngModel)]="email" maxLength="50"></ion-input>
    </div>
  </div>

  <div class="container">
    <div class="sub-cont">
      <h4 class="input-title">Phone Number</h4>
      <ion-input placeholder="Phone Number" inputmode="text" [(ngModel)]="phoneNumber" maxLength="50"></ion-input>
    </div>
  </div>

  <div *ngIf="errorText" class="errorText">
    {{errorText}}
  </div>
  
  <div class="btn-cont">
    <div id="button2">
      <button class="btn-o" [routerLink]="['/tabs/user/']">Cancel</button>
    </div>

    <div id="button1">
      <button class="btn" (click)="update()">Update</button>
    </div>
  </div>

  <div *ngIf="loading" class="shadowLoader">
    <div class="boxLoader">
      <div class="loader"></div>
    </div>
  </div>
</ion-content>